> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one contact memory entry

> Get the full content of a single memory entry.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /sessions/{sessionId}/memory/{entryName}
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /sessions/{sessionId}/memory/{entryName}:
    get:
      tags:
        - ContactMemory
      summary: Get one contact memory entry
      description: Get the full content of a single memory entry.
      operationId: GetEntry
      parameters:
        - in: path
          name: sessionId
          required: true
          schema:
            type: string
        - in: path
          name: entryName
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactMemoryEntry'
      security:
        - jwt: []
components:
  schemas:
    ContactMemoryEntry:
      properties:
        name:
          type: string
        description:
          type: string
        content:
          type: string
        actor:
          $ref: '#/components/schemas/ContactMemoryActor'
        actorUserId:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - name
        - description
        - content
        - actor
        - createdAt
        - updatedAt
      type: object
      additionalProperties: false
    ContactMemoryActor:
      type: string
      enum:
        - bot
        - draft_reply
        - copilot
        - admin
        - consolidation
        - unknown
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````